/***************************************************************************
 *   This class is a workaround for starting an interactive process using  *
 *   QProcess. I found it on
 * http://blogs.qtdeveloper.net/archives/2006/03/16/starting-interactive-processes-with-qprocess
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "interactiveprocess.h"

InteractiveProcess::InteractiveProcess(QObject *parent)
 : QProcess(parent)
{
	stdinClone = ::dup(fileno(stdin));
}


void InteractiveProcess::setupChildProcess()
{
	::dup2(stdinClone, fileno(stdin));
}


InteractiveProcess::~InteractiveProcess()
{
}

